La spec OpenAPI
Tree BG 1
Tree
Tree
TreeLeaves
TreeLeaves
Cat IdleGrassGrassRockRock

Endpoints Beta Workflows Executions

Déclenchez, surveillez et contrôlez les exécutions de workflows.

Récupérer une exécution de workflow

GET /v1/workflows/executions/{execution_id}

200

Réponse réussie

end_time
*date-time|null

L'heure de fin de l'exécution du workflow, si disponible

execution_id
*string

L'identifiant de l'exécution du workflow

parent_execution_id
string|null

L'identifiant de l'exécution parente du workflow

result
*any|null

Le résultat de l'exécution du workflow, si disponible

root_execution_id
*string

L'identifiant de l'exécution racine du workflow

start_time
*date-time

L'heure de début de l'exécution du workflow

status
*"RUNNING"|"COMPLETED"|"FAILED"|"CANCELED"|"TERMINATED"|"CONTINUED_AS_NEW"|"TIMED_OUT"|"RETRYING_AFTER_ERROR"

Le statut de l'exécution du workflow

total_duration_ms
integer|null

La durée totale de la trace en millisecondes

workflow_name
*string

Le nom du workflow

Playground

Testez les endpoints en direct

curl https://api.mistral.ai/v1/workflows/executions/{execution_id} \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

{
  "end_time": null,
  "execution_id": "ipsum eiusmod",
  "result": null,
  "root_execution_id": "consequat do",
  "start_time": "2025-10-07T20:56:01.974Z",
  "status": "RUNNING",
  "workflow_name": "reprehenderit ut dolore"
}

Récupérer l'historique d'exécution du workflow

GET /v1/workflows/executions/{execution_id}/history

200

Response Type
any

Réponse réussie

Playground

Testez les endpoints en direct

curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/history \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

null

Signaler l'exécution du workflow

POST /v1/workflows/executions/{execution_id}/signals

202

Réponse réussie

message
string

Valeur par défaut : "Signal accepted"

Playground

Testez les endpoints en direct

curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/signals \
 -X POST \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE' \
 -H 'Content-Type: application/json' \
 -d '{
  "name": "ipsum eiusmod"
}'

202

{}

Interroger l'exécution du workflow

POST /v1/workflows/executions/{execution_id}/queries

200

Réponse réussie

query_name
*string
result
*any

Résultat de l'appel Query workflow

Playground

Testez les endpoints en direct

curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/queries \
 -X POST \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE' \
 -H 'Content-Type: application/json' \
 -d '{
  "name": "ipsum eiusmod"
}'

200

{
  "query_name": "ipsum eiusmod",
  "result": null
}

Terminer une exécution de workflow

POST /v1/workflows/executions/{execution_id}/terminate

Playground

Testez les endpoints en direct

curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/terminate \
 -X POST \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE' \
 -H 'Content-Type: application/json'

Terminer plusieurs exécutions de workflow

POST /v1/workflows/executions/terminate

200

Réponse réussie

Correspondance entre execution_id et résultat avec statut et message d'erreur optionnel

Playground

Testez les endpoints en direct

curl https://api.mistral.ai/v1/workflows/executions/terminate \
 -X POST \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE' \
 -H 'Content-Type: application/json' \
 -d '{
  "execution_ids": [
    "ipsum eiusmod"
  ]
}'

200

{}

Annuler l'exécution de workflow

POST /v1/workflows/executions/{execution_id}/cancel

Playground

Testez les endpoints en direct

curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/cancel \
 -X POST \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE' \
 -H 'Content-Type: application/json'

Annuler des exécutions de workflow par lot

POST /v1/workflows/executions/cancel

200

Réponse réussie

Correspondance entre execution_id et résultat avec statut et message d'erreur optionnel

Playground

Testez les endpoints en direct

curl https://api.mistral.ai/v1/workflows/executions/cancel \
 -X POST \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE' \
 -H 'Content-Type: application/json' \
 -d '{
  "execution_ids": [
    "ipsum eiusmod"
  ]
}'

200

{}

Réinitialiser un workflow

POST /v1/workflows/executions/{execution_id}/reset

Playground

Testez les endpoints en direct

curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/reset \
 -X POST \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE' \
 -H 'Content-Type: application/json' \
 -d '{
  "event_id": 87
}'

Mettre à jour une exécution de workflow

POST /v1/workflows/executions/{execution_id}/updates

200

Réponse réussie

result
*any

Le résultat de l'appel de mise à jour du workflow

update_name
*string

Playground

Testez les endpoints en direct

curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/updates \
 -X POST \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE' \
 -H 'Content-Type: application/json' \
 -d '{
  "name": "ipsum eiusmod"
}'

200

{
  "result": null,
  "update_name": "ipsum eiusmod"
}

Récupérer la trace OTEL de l'exécution du workflow

GET /v1/workflows/executions/{execution_id}/trace/otel

200

Réponse réussie

data_source
*string

La source de données de la trace

end_time
*date-time|null

L'heure de fin de l'exécution du workflow, si disponible

execution_id
*string

L'ID de l'exécution du workflow

otel_trace_data
TempoGetTraceResponse|null

Réponse de trace au format OpenTelemetry.

Il s'agit du format de trace unifié utilisé par tous les fournisseurs de trace (Tempo, ClickHouse, etc.). Quel que soit le backend sous-jacent, toutes les données de trace sont normalisées dans ce format OpenTelemetry compatible Tempo afin de garantir la cohérence de la structure de réponse de l'API.

otel_trace_id
string|null

L'ID de la trace

parent_execution_id
string|null

L'ID d'exécution parent de l'exécution du workflow

result
*any|null

Le résultat de l'exécution du workflow, s'il est disponible

root_execution_id
*string

L'ID d'exécution racine de l'exécution du workflow

start_time
*date-time

L'heure de début de l'exécution du workflow

status
*"RUNNING"|"COMPLETED"|"FAILED"|"CANCELED"|"TERMINATED"|"CONTINUED_AS_NEW"|"TIMED_OUT"|"RETRYING_AFTER_ERROR"

Le statut de l'exécution du workflow

total_duration_ms
integer|null

La durée totale de la trace en millisecondes

workflow_name
*string

Le nom du workflow

Playground

Testez les endpoints en direct

curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/trace/otel \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

{
  "data_source": "ipsum eiusmod",
  "end_time": null,
  "execution_id": "consequat do",
  "result": null,
  "root_execution_id": "reprehenderit ut dolore",
  "start_time": "2025-10-07T20:56:01.974Z",
  "status": "RUNNING",
  "workflow_name": "occaecat dolor sit"
}

Récupérer le résumé de la trace d'exécution de workflow

GET /v1/workflows/executions/{execution_id}/trace/summary

200

Réponse réussie

end_time
*date-time|null

L'heure de fin de l'exécution du workflow, si disponible

execution_id
*string

L'ID de l'exécution du workflow

parent_execution_id
string|null

L'ID d'exécution parent de l'exécution du workflow

result
*any|null

Le résultat de l'exécution du workflow, si disponible

root_execution_id
*string

L'ID d'exécution racine de l'exécution du workflow

Le span racine de la trace

start_time
*date-time

L'heure de début de l'exécution du workflow

status
*"RUNNING"|"COMPLETED"|"FAILED"|"CANCELED"|"TERMINATED"|"CONTINUED_AS_NEW"|"TIMED_OUT"|"RETRYING_AFTER_ERROR"

Le statut de l'exécution du workflow

total_duration_ms
integer|null

La durée totale de la trace en millisecondes

workflow_name
*string

Le nom du workflow

Playground

Testez les endpoints en direct

curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/trace/summary \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

{
  "end_time": null,
  "execution_id": "ipsum eiusmod",
  "result": null,
  "root_execution_id": "consequat do",
  "start_time": "2025-10-07T20:56:01.974Z",
  "status": "RUNNING",
  "workflow_name": "reprehenderit ut dolore"
}

Récupérer les événements de trace d'une exécution de workflow

GET /v1/workflows/executions/{execution_id}/trace/events

200

Réponse réussie

end_time
*date-time|null

L'heure de fin de l'exécution du workflow, si disponible

Les événements de l'exécution du workflow

execution_id
*string

ID de l'exécution du workflow

parent_execution_id
string|null

ID de l'exécution parente du workflow

result
*any|null

Le résultat de l'exécution du workflow, s'il est disponible

root_execution_id
*string

L'ID d'exécution racine de l'exécution du workflow

start_time
*date-time

L'heure de début de l'exécution du workflow

status
*"RUNNING"|"COMPLETED"|"FAILED"|"CANCELED"|"TERMINATED"|"CONTINUED_AS_NEW"|"TIMED_OUT"|"RETRYING_AFTER_ERROR"

Le statut de l'exécution du workflow

total_duration_ms
integer|null

La durée totale de la trace en millisecondes

workflow_name
*string

Le nom du workflow

Playground

Testez les endpoints en direct

curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/trace/events \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

{
  "end_time": null,
  "execution_id": "ipsum eiusmod",
  "result": null,
  "root_execution_id": "consequat do",
  "start_time": "2025-10-07T20:56:01.974Z",
  "status": "RUNNING",
  "workflow_name": "reprehenderit ut dolore"
}

Stream

GET /v1/workflows/executions/{execution_id}/stream

200

Flux d'événements envoyés par le serveur (SSE)

ResponseBody

{object}

Playground

Testez les endpoints en direct

curl https://api.mistral.ai/v1/workflows/executions/{execution_id}/stream \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

null